cpw.mods.fml.repackage.com.nothome.delta

## Class GDiffPatcher

- java.lang.Object
- - cpw.mods.fml.repackage.com.nothome.delta.GDiffPatcher

-     public class GDiffPatcher
      extends Object

  This class patches an input file with a GDIFF patch file. The patch file follows the GDIFF file specification available at http://www.w3.org/TR/NOTE-gdiff-19970901.html.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDiffPatcher()` Constructs a new GDiffPatcher.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] argv)` Simple command line tool to patch a file.
    `byte[]` | `patch(byte[] source, byte[] patch)` Patches in memory, returning the patch result.
    `void` | `patch(byte[] source, InputStream patch, OutputStream output)` Patches to an output stream.
    `void` | `patch(File sourceFile, File patchFile, File outputFile)` Patches to an output file.
    `void` | `patch(SeekableSource source, InputStream patch, OutputStream out)` Patches to an output stream.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GDiffPatcher

          public GDiffPatcher()

      Constructs a new GDiffPatcher.

  - ### Method Detail

    - #### patch

          public void patch(File sourceFile,
                   File patchFile,
                   File outputFile)
                     throws IOException

      Patches to an output file.
      Throws:
        `IOException`

    - #### patch

          public void patch(byte[] source,
                   InputStream patch,
                   OutputStream output)
                     throws IOException

      Patches to an output stream.
      Throws:
        `IOException`

    - #### patch

          public byte[] patch(byte[] source,
                     byte[] patch)
                       throws IOException

      Patches in memory, returning the patch result.
      Throws:
        `IOException`

    - #### patch

          public void patch(SeekableSource source,
                   InputStream patch,
                   OutputStream out)
                     throws IOException

      Patches to an output stream.
      Throws:
        `IOException`

    - #### main

          public static void main(String[] argv)

      Simple command line tool to patch a file.